1. gslacks's Avatar
    I'm on ATT and running DM on iMac. I bought my phone 3 days ago, plugged into DM and it forced me to download old OS 5.0.0.405. I think I was a later version. It also deleted some of the pre-loaded apps like BB Messenger and half of the games as well as some other stuff that I can't remember. Have you guys heard of this problem?

    I called ATT and they told me 5.0.0.405 is the same as 5.0.0.645. Should I try to upgrade to latest OS? Where can I do that?

    Thanks.
    01-06-10 01:14 PM
LINK TO POST COPIED TO CLIPBOARD